Message: Re: Having Trouble Installing Geant4.9.5.p02 - CMake Issues Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

None Re: Having Trouble Installing Geant4.9.5.p02 - CMake Issues 

Forum: Installation and Configuration
Re: Question Having Trouble Installing Geant4.9.5.p02 - CMake Issues (Ben Hug)
Date: 05 Feb, 2015
From: Ivan Brilkov <Ivan Brilkov>

Hello!

On Fri, 09 Nov 2012 04:08:08 GMT, Ben Hug wrote:
...
> 
>   /usr/bin/cmake -E cmake_link_script
....
> 
>   /usr/lib/gcc/x86_64-redhat-linux/4.4.6/../../../crt1.o: could not read
>   symbols: File in wrong format
... error error...
> 
> -- Configuring incomplete, errors occurred!
> 
> Has anyone got any suggestions or seen this problem before??
> 
> Cheers
> 
> Ben
> 
Now I get almost the same problems with linking old library to a project, that I'm trying to reincarnate with geant4.10.
And something tells me that my lib is 32bit, but I'm trying to make x64 project, so I have only 2 ways to solve this issue:
first is to install old version of geant4, second is to get this lib on x64. The bad news is that author of this lib not 
interested in this project any more.
Some code from CMake.txt
...
add_executable(atmocosmics ATMOCOSMICS.cc ${sources} ${headers})
find_library( ATM_LIBRARY
	      NAMES Atmosphere 
              PATHS   ${PROJECT_SOURCE_DIR}/lib
              NO_DEFAULT_PATH)            
target_link_libraries(atmocosmics ${ATM_LIBRARY})
...
make:
Linking CXX executable atmocosmics
/home/local1/geant4/work/atmocosmics/lib/libAtmosphere.a: could not read symbols: File in wrong format
collect2: ld returned 1 exit status
...

 Add Message Add Message
to: "Re: Having Trouble Installing Geant4.9.5.p02 - CMake Issues"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]